Support
API ReferenceSecurity & RiskAbuse API

An incremental update that keeps the endpoints largely the same, but deprecates some commonly misused parameters and add some features to ensure reports can be worked quicker.

List abuse tickets

GET
/v2/abuse/tickets

Query Parameters

type?string

The type of abuse.

Value in"A_RECORD" | "CHILD_ABUSE" | "CONTENT" | "FRAUD_WIRE" | "IP_BLOCK" | "MALWARE" | "NETWORK_ABUSE" | "PHISHING" | "SPAM"
closed?boolean

Is this abuse ticket closed?

Defaultfalse
sourceDomainOrIp?string

The domain name or ip address the abuse originated from

Formathost-name-or-ip-address
target?string

The brand/company the abuse is targeting. ie: brand name/bank name

createdStart?string

The earliest abuse ticket creation date to pull abuse tickets for

Formatiso-datetime
createdEnd?string

The latest abuse ticket creation date to pull abuse tickets for

Formatiso-datetime
limit?integer

Number of abuse ticket numbers to return.

Default100
Formatinteger-positive
Rangevalue <= 100
offset?integer

The earliest result set record number to pull abuse tickets for

Default0
Formatinteger-positive

Response Body

*/*

*/*

*/*

*/*

curl -X GET "https://api.godaddy.com/v2/abuse/tickets"
{
  "pagination": {
    "first": "string",
    "last": "string",
    "next": "string",
    "previous": "string",
    "total": 0
  },
  "ticketIds": [
    "string"
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}

Create a new abuse ticket

POST
/v2/abuse/tickets

Request Body

application/json

The endpoint which allows the Reporter to create a new abuse ticket

Response Body

*/*

*/*

*/*

*/*

curl -X POST "https://api.godaddy.com/v2/abuse/tickets" \  -H "Content-Type: application/json" \  -d '{    "source": "string"  }'
{
  "u_number": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}

Retrieve abuse ticket details

GET
/v2/abuse/tickets/{ticketId}

Path Parameters

ticketId*string

A unique abuse ticket identifier

Response Body

*/*

*/*

*/*

*/*

curl -X GET "https://api.godaddy.com/v2/abuse/tickets/string"
{
  "closed": false,
  "closedAt": "string",
  "createdAt": "string",
  "domainIp": "string",
  "reporter": "string",
  "source": "string",
  "target": "string",
  "ticketId": "string",
  "type": "A_RECORD",
  "closeReason": "ACTIONED"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "stack": [
    "string"
  ]
}

Last updated on

How is this guide?